// board specific defines for micro monitor
#define DEFAULT_BAUD_RATE   	38400
//------------------------------------------
// Clock Defines for CSB781
//------------------------------------------
#define SYS_CLK		132000000
#define CSB_CLK		(SYS_CLK/2)
#define IPS_DIV_DEF		3	// Valid IPS dividers are 2, 3, 4, and 6
#define PSC_CLK		(CSB_CLK/IPS_DIV_DEF)

#define LOOPS_PER_USEC			15

#define BIG_ENDIAN 		// big endian, when desired
//#define LITTLE_ENDIAN 		// big endian, when desired

//-----------------------------------------------------------------------------
// MPC5121e Internal Memory Map Registers Base Address 
// All I/O are offsets.  Note that the base address can be
// programmed.  The default base address is 0xFF400000 but
// we fix it at 0xE0000000.
#define IMMRBAR_BASE_ADD		0xE0000000

// I2C Control/Status Register
#define I2C_REG_ADD	0xff000100
#define I2C_REG		*(vulong *)(I2C_REG_ADD)
// Write control bits
#define I2C_REG_CLR_ALL 		0x00
#define I2C_REG_SET_ALL 		0xff
#define I2C_REG_CLR_SCL 		BIT0
#define I2C_REG_SET_SCL 		BIT1
#define I2C_REG_CLR_SDA			BIT2
#define I2C_REG_SET_SDA			BIT3
// Read Bit Locations
#define I2C_REG_SDA_RD			BIT0
#define I2C_REG_SCL_RD			BIT1

